{% extends 'base.html' %}


{% block autenticacion-permiso %}
    {% if not perms.auth.change_permission %}
        <meta http-equiv="REFRESH" content="0;url=/">
    {% endif %}
{% endblock %}

{% block nav-permisos %}
    <li class="nav-item active">
        <a class="nav-link" href="#">Permisos <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}

{% block content %}
    <div class="container mb-5">
        <div class="py-5 text-center">
            <h1 class="text-light"> Lista de usuarios </h1>
        </div>
        <div class="row bg-light border rounded border-dark mb-3">

            <div class="input-group">
                <input type="text" id="buscarUsuario" onkeyup="buscarTabla('buscarUsuario','tablaUsuario')" placeholder="Buscar por nombre"
                       title="Type in a name" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">

                <div class="input-group-append">
                    <button class="btn btn-outline-secondary dropdown-toggle m-3" type="button" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false">Roles del sistema
                    </button>
                    <div class="dropdown-menu">
                        {% if perms.auth.add_group %}
                            <a class="dropdown-item" href="{% url 'oauth_app:crearRol' %}">Crear Roles</a>
                        {% endif %}
                        <a class="dropdown-item" href="{% url 'oauth_app:listarRol' %}">Ver Roles</a>
                    </div>
                </div>

            </div>

            <table class="table table-hover" id="tablaUsuario">
                <thead class="thead-dark">
                <tr>
                    <th scope="col" onclick="sortTable(0,'tablaUsuario','Numero')">#</th>
                    <th scope="col" onclick="sortTable(1,'tablaUsuario','String')">Nombre</th>
                    <th scope="col" onclick="sortTable(2,'tablaUsuario','String')">Apellido</th>
                    <th scope="col" onclick="sortTable(3,'tablaUsuario','String')">Correo electronico</th>
                    <th scope="col">Acción</th>
                </tr>
                </thead>
                <tbody>
                {% if listaDeUsarios %}
                    {% for u in listaDeUsarios %}
                        <tr>
                            <td class="font-weight-bold" scope="row">{{ u.id }}</td>
                            <td>{{ u.extra_data.given_name }}</td>
                            <td>{{ u.extra_data.family_name }}</td>
                            <td style="word-wrap: break-word;min-width: 160px;max-width: 160px;">{{ u.extra_data.email }}</td>
                            <td><a href="{% url 'oauth_app:datosUsuario' u.id %}"
                                   class="btn {% if  user.email  ==  u.extra_data.email %}disabled{% else %}text-primary{% endif %}">Ver
                                permisos</a></td>
                        </tr>
                    {% endfor %}
                {% else %}

                {% endif %}
                </tbody>

            </table>
        </div>
    </div>
{% endblock %}

